### Signal

# Foundry TextManager::document-added

#### Declaration

    void
    document_added (
      FoundryTextManager* self,
      GioFile* object,
      FoundryTextDocument* p0,
      gpointer user_data
    )

#### Description

No description available.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`object`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`p0`

  Type: `FoundryTextDocument`

  No description available.

  The data is owned by the caller of the function.